import { isImmutable } from '@collectable/core';
import { cloneAsImmutable } from '../internals';
export function freeze(map) {
    return isImmutable(map._owner) ? map : cloneAsImmutable(map);
}
export function isFrozen(map) {
    return isImmutable(map._owner);
}

//# sourceMappingURL=freeze.js.map
