import { ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMap, SortedMapEntry } from '../internals';
export declare function fromArray<K, V>(pairs: [K, V][], compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMap<K, V>;
export declare function fromArray<K, V, U>(pairs: [K, V][], compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMap<K, V>;
export declare function fromIterable<K, V>(pairs: Iterable<[K, V]>, compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMap<K, V>;
export declare function fromIterable<K, V, U>(pairs: Iterable<[K, V]>, compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMap<K, V>;
