"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function remove(key, map) {
    var nextSet = map;
    var immutable = core_1.isImmutable(map._owner) && (nextSet = internals_1.cloneAsMutable(map), true);
    return internals_1.unsetItem(key, nextSet._keyMap, nextSet._sortedValues)
        ? immutable ? internals_1.refreeze(nextSet) : nextSet
        : map;
}
exports.remove = remove;

//# sourceMappingURL=remove.js.map
