"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function set(key, value, map) {
    var nextSet = map;
    var immutable = core_1.isImmutable(map._owner) && (nextSet = internals_1.cloneAsMutable(map), true);
    return internals_1.setItem(key, value, nextSet._keyMap, nextSet._sortedValues, nextSet._select)
        ? immutable ? internals_1.refreeze(nextSet) : nextSet
        : map;
}
exports.set = set;

//# sourceMappingURL=set.js.map
